package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/9
 * @Description 查询LTV数据总计的条件参数实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class LtvDataTotalDTO{

    /**
     * 游戏ID
     */
    @ApiModelProperty(notes = "游戏ID")
    private Long gameId;

    /**
     * 推广游戏应用类别
     */
    @ApiModelProperty(notes = "游戏类别")
    private Long classify;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 注册时间（开始）
     */
    @ApiModelProperty(notes = "注册开始时间")
    private LocalDate registeredBeginDate;

    /**
     * 注册时间（结束）
     */
    @ApiModelProperty(notes = "注册结束时间")
    private LocalDate registeredEndDate;

    /**
     * 选择展示数据种类
     */
    @ApiModelProperty(notes = "选择展示数据种类：buy -> 买量 ; nature -> 自然量 ; total -> 总量")
    private String tableTypes;

}
