package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/15
 * @Description 投手游戏总数据总计查询条件实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PitcherGameDataTotalSumDTO {

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate beginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate endDate;

    /**
     * 充值开始时间
     */
    @ApiModelProperty(value = "充值开始时间")
    private LocalDate amountBeginDate;

    /**
     * 充值结束时间
     */
    @ApiModelProperty(value = "充值结束时间")
    private LocalDate amountEndDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private String gameId;

    /**
     * 游戏CP方
     */
    @ApiModelProperty(value = "游戏CP方")
    private String gameCp;

    /**
     * 游戏类型
     */
    @ApiModelProperty(value = "游戏类型")
    private Long gameType;

}
