package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/30
 * @Description 投手媒体每日数据查询参数实体
 **/
@Data
public class PitcherMediaDataDayDTO extends BasePage {

    /**
     * 消耗开始时间
     */
    @ApiModelProperty(value = "消耗开始时间")
    private LocalDate beginDate;

    /**
     * 消耗结束时间
     */
    @ApiModelProperty(value = "消耗结束时间")
    private LocalDate endDate;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 投手ID
     */
    @ApiModelProperty(value = "投手ID")
    private Long pitcherId;

    /**
     * 推广媒体
     */
    @ApiModelProperty(value = "推广媒体")
    private String accountType;

    /**
     * 排序字段
     */
    @ApiModelProperty(notes = "排序字段")
    private String sortFiled;

    /**
     * 排序方式：升序asc;降序desc
     */
    @ApiModelProperty(notes = "排序方式：升序asc;降序desc")
    private String sortType;

}
