package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/8/11
 * @Description 用户详情
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GameDataUserDetailsVO {

    /**
     * 玩家ID
     */
    @ApiModelProperty(notes = "玩家ID")
    private Long playerId;

    /**
     * 注册渠道ID
     */
    @ApiModelProperty(notes = "注册渠道ID")
    private Long regAgentId;

    /**
     * 注册渠道名称
     */
    @ApiModelProperty(notes = "注册渠道名称")
    private String regAgentName;

    /**
     * 游戏服
     */
    @ApiModelProperty(notes = "游戏服")
    private String serverName;

    /**
     * 角色名称
     */
    @ApiModelProperty(notes = "角色名称")
    private String roleName;

    /**
     * 玩家操作系统
     */
    @ApiModelProperty(notes = "玩家操作系统")
    private String playerOs;

    /**
     * 充值金额 玩家排行榜表中的今日累计充值今额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal todayTotalAmount;

}
