package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerTrendVO {

    /**
     * 注册人数
     */
    @ApiModelProperty(notes = "注册人数")
    private Long regNum;

    /**
     * 创角人数
     */
    @ApiModelProperty(notes = "创角人数")
    private Long roleNum;

    /**
     * 活跃人数
     */
    @ApiModelProperty(notes = "活跃人数")
    private Long activeNum;

    /**
     * 付费人数
     */
    @ApiModelProperty(notes = "付费人数")
    private Long amountNum;

    /**
     * 付费金额
     */
    @ApiModelProperty(notes = "付费金额")
    private BigDecimal amount;

    /**
     * 滚服人数
     */
    @ApiModelProperty(notes = "滚服人数")
    private Long rollServerNum;

    /**
     * 滚服付费人数
     */
    @ApiModelProperty(notes = "滚服付费人数")
    private Long rollServerAmountNum;

    /**
     * 滚服付费金额
     */
    @ApiModelProperty(notes = "滚服付费金额")
    private BigDecimal rollServerAmount;

    /**
     * 滚服付费占比
     */
    @ApiModelProperty(notes = "滚服付费占比")
    private BigDecimal rollServerAmountRate;

}
