package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author tianhua
 * @time 2023/7/27
 * @Description 广告监控数据总计前端显示对象(腾讯广告)
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TencentPromotionDayTotalVO {

    /**
     * 今日消耗
     */
    @ApiModelProperty(value = "今日消耗")
    private BigDecimal todayCost;

    /**
     * 广告总消耗
     */
    @ApiModelProperty(value = "广告总消耗")
    private BigDecimal promotionTotalCost;

    /**
     * 曝光量
     */
    @ApiModelProperty(value = "曝光量")
    private Long showCount;

    /**
     * 千次曝光成本
     */
    @ApiModelProperty(value = "千次曝光成本")
    private BigDecimal thousandDisplayPrice;

    /**
     * 点击量
     */
    @ApiModelProperty(value = "点击量")
    private Long clickCount;

    /**
     * 点击均价
     */
    @ApiModelProperty(value = "点击均价")
    private BigDecimal avgClickCost;

    /**
     * 点击率
     */
    @ApiModelProperty(value = "点击率")
    private BigDecimal ctr;

    /**
     * 转化目标量
     */
    @ApiModelProperty(value = "转化目标量")
    private Long convertCount;

    /**
     * 转化目标成本
     */
    @ApiModelProperty(value = "转化目标成本")
    private BigDecimal convertCost;

    /**
     * 目标转化率
     */
    @ApiModelProperty(value = "目标转化率")
    private BigDecimal convertRate;

    /**
     * 新增用户数
     */
    @ApiModelProperty(value = "新增用户数")
    private Long regNum;

    /**
     * 广告总注册人数
     */
    @ApiModelProperty(value = "广告总注册人数")
    private Long regTotalNum;

    /**
     * 总创角人数
     */
    @ApiModelProperty(value = "总创角人数")
    private Long roleTotalNum;

    /**
     * 首日创角人数
     */
    @ApiModelProperty(value = "首日创角人数")
    private Long firstRoleNum;

    /**
     * 新用户累计创角人数
     */
    @ApiModelProperty(value = "新用户累计创角人数")
    private Long newUserTotalRoleNum;

    /**
     * 注册成本
     */
    @ApiModelProperty(value = "注册成本")
    private BigDecimal regCost;

    /**
     * 总注册成本
     */
    @ApiModelProperty(value = "总注册成本")
    private BigDecimal regTotalCost;

    /**
     * 首日创角成本
     */
    @ApiModelProperty(value = "首日创角成本")
    private BigDecimal firstRoleCost;

    /**
     * 新用户创角成本
     */
    @ApiModelProperty(value = "新用户创角成本")
    private BigDecimal newUserTotalRoleCost;

    /**
     * 总创角成本
     */
    @ApiModelProperty(value = "总创角成本")
    private BigDecimal roleTotalCost;

    /**
     * 首日创角率
     */
    @ApiModelProperty(value = "首日创角率")
    private BigDecimal firstRoleRate;

    /**
     * 新用户创角率
     */
    @ApiModelProperty(value = "新用户创角率")
    private BigDecimal newUserTotalRoleRate;

    /**
     * 总创角率
     */
    @ApiModelProperty(value = "总创角率")
    private BigDecimal roleTotalRate;

    /**
     * 新增付费次数
     */
    @ApiModelProperty(value = "新增付费次数")
    private Long firstNewUserAmountCount;

    /**
     * 新增付费人数
     */
    @ApiModelProperty(value = "新增付费人数")
    private Long firstNewUserAmountNum;

    /**
     * 新增付费金额
     */
    @ApiModelProperty(value = "新增付费金额")
    private BigDecimal firstNewUserAmount;

    /**
     * 至今付费次数
     */
    @ApiModelProperty(value = "至今付费次数")
    private Long newUserTotalAmountCount;

    /**
     * 至今付费人数
     */
    @ApiModelProperty(value = "至今付费人数")
    private Long newUserTotalAmountNum;

    /**
     * 至今付费金额
     */
    @ApiModelProperty(value = "至今付费金额")
    private BigDecimal newUserTotalAmount;

    /**
     * 总充值次数
     */
    @ApiModelProperty(value = "总充值次数")
    private Long totalAmountCount;

    /**
     * 总充值人数
     */
    @ApiModelProperty(value = "总充值人数")
    private Long totalAmountNum;

    /**
     * 总充值金额
     */
    @ApiModelProperty(value = "总充值金额")
    private BigDecimal totalAmount;

    /**
     * 首日ROI
     */
    @ApiModelProperty(value = "首日ROI")
    private BigDecimal firstRoi;

    /**
     * 新用户24小时充值金额
     */
    @ApiModelProperty(value = "新用户24小时充值金额")
    private BigDecimal twentyFourHoursAmount;

    /**
     * 新用户24小时ROI
     */
    @ApiModelProperty(value = "新用户24小时ROI")
    private BigDecimal twentyFourHoursRoi;

    /**
     * 总ROI
     */
    @ApiModelProperty(value = "总ROI")
    private BigDecimal totalRoi;

    /**
     * 广告总ROI
     */
    @ApiModelProperty(value = "广告总ROI")
    private BigDecimal promotionTotalRoi;

    /**
     * 新增付费成本
     */
    @ApiModelProperty(value = "新增付费成本")
    private BigDecimal firstNewUserRechargeCost;

    /**
     * 至今付费成本
     */
    @ApiModelProperty(value = "至今付费成本")
    private BigDecimal newUserTotalRechargeCost;

    /**
     * 广告总付费成本
     */
    @ApiModelProperty(value = "广告总付费成本")
    private BigDecimal totalRechargeCost;

    /**
     * 新增付费次数成本
     */
    @ApiModelProperty(value = "新增付费次数成本 = 消耗 / 新增付费次数")
    private BigDecimal firstNewUserAmountCountCost;

    /**
     * 至今付费次数成本
     */
    @ApiModelProperty(value = "至今付费次数成本 = 消耗 / 至今付费数")
    private BigDecimal newUserTotalAmountCountCost;

    /**
     * 总充值次数成本
     */
    @ApiModelProperty(value = "总充值次数成本 = 消耗 / 总充值次数")
    private BigDecimal totalAmountCountCost;

    /**
     * 新增付费ARPPU
     */
    @ApiModelProperty(value = "新增付费ARPPU")
    private BigDecimal firstNewUserArppu;

    /**
     * 至今付费ARPPU
     */
    @ApiModelProperty(value = "至今付费ARPPU")
    private BigDecimal newUserTotalAmountArppu;

    /**
     * 新增付费100+用户数
     */
    @ApiModelProperty(value = "新增付费100+用户数")
    private Long firstNewUserHundredUserNum;

    /**
     * 新增付费200+用户数
     */
    @ApiModelProperty(value = "新增付费200+用户数")
    private Long firstNewUserTwoHundredUserNum;

    /**
     * 至今付费100+用户数
     */
    @ApiModelProperty(value = "至今付费100+用户数")
    private Long newUserTotalHundredUserNum;

    /**
     * 首充50~100元用户数
     */
    @ApiModelProperty(value = "首充50~100元用户数")
    private Long firstRechargeFiftyHundredNum;

    /**
     * 新增付费100+用户付费成本
     */
    @ApiModelProperty(value = "新增付费100+用户付费成本")
    private BigDecimal firstNewUserHundredUserCost;

    /**
     * 新增付费200+用户付费成本
     */
    @ApiModelProperty(value = "新增付费200+用户付费成本")
    private BigDecimal firstNewUserTwoHundredUserCost;

    /**
     * 至今付费100+用户付费成本
     */
    @ApiModelProperty(value = "至今付费100+用户付费成本")
    private BigDecimal newUserTotalHundredUserCost;

    /**
     * 首充50~100元占比
     */
    @ApiModelProperty(value = "首充50~100元占比")
    private BigDecimal firstRechargeFiftyHundredRate;

    /**
     * 首日IOS付费次数
     */
    @ApiModelProperty(value = "首日IOS付费次数")
    private Long firstIosAmountCount;

    /**
     * 首日IOS付费人数
     */
    @ApiModelProperty(value = "首日IOS付费人数")
    private Long firstIosAmountNum;

    /**
     * 首日IOS付费金额
     */
    @ApiModelProperty(value = "首日IOS付费金额")
    private BigDecimal firstIosAmount;

    /**
     * 首日Android付费次数
     */
    @ApiModelProperty(value = "首日Android付费次数")
    private Long firstAndroidAmountCount;

    /**
     * 首日Android付费人数
     */
    @ApiModelProperty(value = "首日Android付费人数")
    private Long firstAndroidAmountNum;

    /**
     * 首日Android付费金额
     */
    @ApiModelProperty(value = "首日Android付费金额")
    private BigDecimal firstAndroidAmount;

    /**
     * 首日IOS付费人数占比
     */
    @ApiModelProperty(value = "首日IOS付费人数占比")
    private BigDecimal firstIosAmountNumRate;

    /**
     * 首日IOS付费金额占比
     */
    @ApiModelProperty(value = "首日IOS付费金额占比")
    private BigDecimal firstIosAmountRate;

    /**
     * 首日IOS付费ROI
     */
    @ApiModelProperty(value = "首日IOS付费ROI")
    private BigDecimal firstIosAmountRoi;

    /**
     * 首日Android付费人数占比
     */
    @ApiModelProperty(value = "首日Android付费人数占比")
    private BigDecimal firstAndroidAmountNumRate;

    /**
     * 首日Android付费金额占比
     */
    @ApiModelProperty(value = "首日Android付费金额占比")
    private BigDecimal firstAndroidAmountRate;

    /**
     * 首日Android付费ROI
     */
    @ApiModelProperty(value = "首日Android付费ROI")
    private BigDecimal firstAndroidAmountRoi;

    /**
     * 首日付费率
     */
    @ApiModelProperty(value = "首日付费率")
    private BigDecimal firstAmountRate;

    /**
     * 新增客单价
     */
    @ApiModelProperty(value = "新增客单价")
    private BigDecimal firstNewUserAvgPrice;

    /**
     * 至今客单价
     */
    @ApiModelProperty(value = "至今客单价")
    private BigDecimal newUserTotalAvgPrice;

    /**
     * 计划ID，消耗时间的第1天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第1天新用户充值(不显示)")
    private BigDecimal d1;

    /**
     * 计划ID，消耗时间的第2天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第2天新用户充值(不显示)")
    private BigDecimal d2;

    /**
     * 计划ID，消耗时间的第3天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第3天新用户充值(不显示)")
    private BigDecimal d3;

    /**
     * 计划ID，消耗时间的第4天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第4天新用户充值(不显示)")
    private BigDecimal d4;

    /**
     * 计划ID，消耗时间的第5天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第5天新用户充值(不显示)")
    private BigDecimal d5;

    /**
     * 计划ID，消耗时间的第6天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第6天新用户充值(不显示)")
    private BigDecimal d6;

    /**
     * 计划ID，消耗时间的第7天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第7天新用户充值(不显示)")
    private BigDecimal d7;

    /**
     * 计划ID，消耗时间的第8天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第8天新用户充值(不显示)")
    private BigDecimal d8;

    /**
     * 计划ID，消耗时间的第9天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第9天新用户充值(不显示)")
    private BigDecimal d9;

    /**
     * 计划ID，消耗时间的第10天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第10天新用户充值(不显示)")
    private BigDecimal d10;

    /**
     * 计划ID，消耗时间的第11天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第11天新用户充值(不显示)")
    private BigDecimal d11;

    /**
     * 计划ID，消耗时间的第12天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第12天新用户充值(不显示)")
    private BigDecimal d12;

    /**
     * 计划ID，消耗时间的第13天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第13天新用户充值(不显示)")
    private BigDecimal d13;

    /**
     * 计划ID，消耗时间的第14天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第14天新用户充值(不显示)")
    private BigDecimal d14;

    /**
     * 计划ID，消耗时间的第15天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第15天新用户充值(不显示)")
    private BigDecimal d15;

    /**
     * 计划ID，消耗时间的第16天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第16天新用户充值(不显示)")
    private BigDecimal d16;

    /**
     * 计划ID，消耗时间的第17天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第17天新用户充值(不显示)")
    private BigDecimal d17;

    /**
     * 计划ID，消耗时间的第18天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第18天新用户充值(不显示)")
    private BigDecimal d18;

    /**
     * 计划ID，消耗时间的第19天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第19天新用户充值(不显示)")
    private BigDecimal d19;

    /**
     * 计划ID，消耗时间的第20天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第20天新用户充值(不显示)")
    private BigDecimal d20;

    /**
     * 计划ID，消耗时间的第21天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第21天新用户充值(不显示)")
    private BigDecimal d21;

    /**
     * 计划ID，消耗时间的第22天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第22天新用户充值(不显示)")
    private BigDecimal d22;

    /**
     * 计划ID，消耗时间的第23天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第23天新用户充值(不显示)")
    private BigDecimal d23;

    /**
     * 计划ID，消耗时间的第24天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第24天新用户充值(不显示)")
    private BigDecimal d24;

    /**
     * 计划ID，消耗时间的第25天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第25天新用户充值(不显示)")
    private BigDecimal d25;

    /**
     * 计划ID，消耗时间的第26天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第26天新用户充值(不显示)")
    private BigDecimal d26;

    /**
     * 计划ID，消耗时间的第27天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第27天新用户充值(不显示)")
    private BigDecimal d27;

    /**
     * 计划ID，消耗时间的第28天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第28天新用户充值(不显示)")
    private BigDecimal d28;

    /**
     * 计划ID，消耗时间的第29天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第29天新用户充值(不显示)")
    private BigDecimal d29;

    /**
     * 计划ID，消耗时间的第30天新用户充值(不显示)
     */
    @ApiModelProperty(value = "计划ID，消耗时间的第30天新用户充值(不显示)")
    private BigDecimal d30;

    /**
     * 付费趋势第1天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第1天总：金额/人数/增/回/倍(不显示)")
    private String da1;

    /**
     * 付费趋势第2天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第2天总：金额/人数/增/回/倍(不显示)")
    private String da2;

    /**
     * 付费趋势第3天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第3天总：金额/人数/增/回/倍(不显示)")
    private String da3;

    /**
     * 付费趋势第4天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第4天总：金额/人数/增/回/倍(不显示)")
    private String da4;

    /**
     * 付费趋势第5天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第5天总：金额/人数/增/回/倍(不显示)")
    private String da5;

    /**
     * 付费趋势第6天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第6天总：金额/人数/增/回/倍(不显示)")
    private String da6;

    /**
     * 付费趋势第7天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第7天总：金额/人数/增/回/倍(不显示)")
    private String da7;

    /**
     * 付费趋势第8天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第8天总：金额/人数/增/回/倍(不显示)")
    private String da8;

    /**
     * 付费趋势第9天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第9天总：金额/人数/增/回/倍(不显示)")
    private String da9;

    /**
     * 付费趋势第10天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第10天总：金额/人数/增/回/倍(不显示)")
    private String da10;

    /**
     * 付费趋势第11天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第11天总：金额/人数/增/回/倍(不显示)")
    private String da11;

    /**
     * 付费趋势第12天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第12天总：金额/人数/增/回/倍(不显示)")
    private String da12;

    /**
     * 付费趋势第13天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第13天总：金额/人数/增/回/倍(不显示)")
    private String da13;

    /**
     * 付费趋势第14天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第14天总：金额/人数/增/回/倍(不显示)")
    private String da14;

    /**
     * 付费趋势第15天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第15天总：金额/人数/增/回/倍(不显示)")
    private String da15;

    /**
     * 付费趋势第16天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第16天总：金额/人数/增/回/倍(不显示)")
    private String da16;

    /**
     * 付费趋势第17天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第17天总：金额/人数/增/回/倍(不显示)")
    private String da17;

    /**
     * 付费趋势第18天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第18天总：金额/人数/增/回/倍(不显示)")
    private String da18;

    /**
     * 付费趋势第19天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第19天总：金额/人数/增/回/倍(不显示)")
    private String da19;

    /**
     * 付费趋势第20天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第20天总：金额/人数/增/回/倍(不显示)")
    private String da20;

    /**
     * 付费趋势第21天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第21天总：金额/人数/增/回/倍(不显示)")
    private String da21;

    /**
     * 付费趋势第22天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第22天总：金额/人数/增/回/倍(不显示)")
    private String da22;

    /**
     * 付费趋势第23天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第23天总：金额/人数/增/回/倍(不显示)")
    private String da23;

    /**
     * 付费趋势第24天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第24天总：金额/人数/增/回/倍(不显示)")
    private String da24;

    /**
     * 付费趋势第25天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第25天总：金额/人数/增/回/倍(不显示)")
    private String da25;

    /**
     * 付费趋势第26天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第26天总：金额/人数/增/回/倍(不显示)")
    private String da26;

    /**
     * 付费趋势第27天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第27天总：金额/人数/增/回/倍(不显示)")
    private String da27;

    /**
     * 付费趋势第28天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第28天总：金额/人数/增/回/倍(不显示)")
    private String da28;

    /**
     * 付费趋势第29天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第29天总：金额/人数/增/回/倍(不显示)")
    private String da29;

    /**
     * 付费趋势第30天总：金额/人数/增/回/倍(不显示)
     */
    @ApiModelProperty(value = "付费趋势第30天总：金额/人数/增/回/倍(不显示)")
    private String da30;

    /**
     * 次日数据
     */
    @ApiModelProperty(value = "次日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d2Trend;

    /**
     * 3日数据
     */
    @ApiModelProperty(value = "3日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d3Trend;

    /**
     * 7日数据
     */
    @ApiModelProperty(value = "7日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d7Trend;

    /**
     * 15日数据
     */
    @ApiModelProperty(value = "15日:ROI/付费/倍数")
    private PromotionRechargeTrendVO d15Trend;

    /**
     * 小游戏注册人数
     */
    @ApiModelProperty(value = "小游戏注册人数")
    private Long miniGameRegisterUsers;

    /**
     * 小游戏注册成本
     */
    @ApiModelProperty(value = "小游戏注册成本")
    private BigDecimal miniGameRegisterCost;

    /**
     * 小游戏注册率
     */
    @ApiModelProperty(value = "小游戏注册率")
    private BigDecimal miniGameRegisterRate;

    /**
     * 小游戏付费次数
     */
    @ApiModelProperty(value = "小游戏付费次数")
    private Long miniGamePayingCount;

    /**
     * 小游戏付费金额
     */
    @ApiModelProperty(value = "小游戏付费金额")
    private BigDecimal miniGamePayingAmount;

    /**
     * 小游戏首日付费人数
     */
    @ApiModelProperty(value = "小游戏首日付费人数")
    private Long miniGamePayingUsersD1;

    /**
     * 小游戏首日付费金额
     */
    @ApiModelProperty(value = "小游戏首日付费金额")
    private BigDecimal miniGamePayingAmountD1;

    /**
     * 小游戏3日付费金额
     */
    @ApiModelProperty(value = "小游戏3日付费金额")
    private BigDecimal miniGamePayingAmountD3;

    /**
     * 小游戏7日付费金额
     */
    @ApiModelProperty(value = "小游戏7日付费金额")
    private BigDecimal miniGamePayingAmountD7;

    /**
     * 小游戏14日付费金额
     */
    @ApiModelProperty(value = "小游戏14日付费金额")
    private BigDecimal miniGamePayingAmountD14;

    /**
     * 小游戏30日付费金额
     */
    @ApiModelProperty(value = "小游戏30日付费金额")
    private BigDecimal miniGamePayingAmountD30;

    /**
     * 小游戏首次付费人数
     */
    @ApiModelProperty(value = "小游戏首次付费人数")
    private Long miniGameFirstPayingUsers;

    /**
     * 小游戏首日付费ROI
     */
    @ApiModelProperty(value = "小游戏首日付费ROI")
    private BigDecimal miniGameFirstDayPayingRoi;

    /**
     * 小游戏付费ROI
     */
    @ApiModelProperty(value = "小游戏付费ROI")
    private BigDecimal miniGamePayingRoi;

    /**
     * 小游戏付费ARPU
     */
    @ApiModelProperty(value = "小游戏付费ARPU")
    private BigDecimal miniGamePayingArpu;

    /**
     * 小游戏3日付费ROI
     */
    @ApiModelProperty(value = "小游戏3日付费ROI")
    private BigDecimal miniGamePayD3Roi;

    /**
     * 小游戏7日付费ROI
     */
    @ApiModelProperty(value = "小游戏7日付费ROI")
    private BigDecimal miniGamePayD7Roi;

    /**
     * 小游戏14日付费ROI
     */
    @ApiModelProperty(value = "小游戏14日付费ROI")
    private BigDecimal miniGamePayD14Roi;

    /**
     * 小游戏30日付费ROI
     */
    @ApiModelProperty(value = "小游戏30日付费ROI")
    private BigDecimal miniGamePayD30Roi;

    /**
     * 小游戏首日付费次数
     */
    @ApiModelProperty(value = "小游戏首日付费次数")
    private Long minigame1dPayCount;

    /**
     * 小游戏首24小时付费人数
     */
    @ApiModelProperty(value = "小游戏首24小时付费人数")
    private Long minigame24hPayUv;

    /**
     * 小游戏首24小时付费金额
     */
    @ApiModelProperty(value = "小游戏首24小时付费金额")
    private BigDecimal minigame24hPayAmount;

    /**
     * 小游戏首24小时付费ROI
     */
    @ApiModelProperty(value = "小游戏首24小时付费ROI")
    private BigDecimal minigame24hPayRoi;

    /**
     * 小游戏首24小时付费ARPU
     */
    @ApiModelProperty(value = "小游戏首24小时付费ARPU")
    private BigDecimal minigame24hPayArpu;

    /**
     * ltv1 （首日付费金额（attribution_game_in_app_ltv1day） / 注册人数）
     */
    @ApiModelProperty(value = "ltv1 （首日付费金额（attribution_game_in_app_ltv1day） / 注册人数）")
    private BigDecimal ltvDay1;

    /**
     * ltv1(实际数据) （首日新用户充值金额 / 注册人数）
     */
    @ApiModelProperty(value = "ltv1(实际数据) （首日新用户充值金额 / 注册人数）")
    private BigDecimal ltvDay1ActualData;

    /**
     * 每日扣单数 （广告首日总订单数 - 应用下载广告数据-付费次数（game_pay_count））
     */
    @ApiModelProperty(value = "每日扣单数 （广告首日总订单数 - 应用下载广告数据-付费次数（game_pay_count））")
    private Long subOrderNum;

    /**
     * 每日扣单金额  （广告首日总金额 - 当日付费金额-所选时间范围内的激活用户，激活当日在APP内的付费金额（attribution_game_in_app_ltv1day） ）
     */
    @ApiModelProperty(value = "每日扣单金额  （广告首日总金额 - 当日付费金额-所选时间范围内的激活用户，激活当日在APP内的付费金额（attribution_game_in_app_ltv1day） ）")
    private BigDecimal subOrderAmount;

}
