package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.PlayerDataListDTO;
import com.zanxiang.game.data.serve.pojo.dto.PlayerDataListTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.PlayerRoleDataListDTO;
import com.zanxiang.game.data.serve.pojo.dto.PlayerRoleDataListTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.PlayerDataVO;
import com.zanxiang.game.data.serve.pojo.vo.PlayerRoleDataVO;
import com.zanxiang.game.data.serve.utils.Page;

/**
 * @author tianhua
 * @time 2023/9/6
 * @Description
 **/
public interface IPlayerDataService {

    /**
     * 玩家列表
     * @param dto PlayerDataListDTO
     * @return Page<PlayerDataVO>
     */
    Page<PlayerDataVO> getPlayerDataList(PlayerDataListDTO dto);

    /**
     * 玩家列表总计一栏
     * @param dto PlayerDataListTotalDTO
     * @return PlayerDataVO
     */
    PlayerDataVO getPlayerDataListTotal(PlayerDataListTotalDTO dto);

    /**
     * 玩家角色列表
     * @param dto PlayerRoleDataListDTO
     * @return Page<PlayerRoleDataVO>
     */
    Page<PlayerRoleDataVO> getPlayerRoleDataList(PlayerRoleDataListDTO dto);

    /**
     * 玩家角色列表总计一栏
     * @param dto PlayerRoleDataListTotalDTO
     * @return PlayerRoleDataVO
     */
    PlayerRoleDataVO getPlayerRoleDataListTotal(PlayerRoleDataListTotalDTO dto);

}
