package com.zanxiang.game.module.manage.pojo.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-01
 * @description : 游戏信息
 */
@Data
public class GameDTO {

    /**
     * 游戏ID
     */
    private Long id;

    /**
     * CP ID
     */
    private Long cpId;

    /**
     * 游戏名称
     */
    private String name;

    /**
     * 游戏类型
     */
    private Long category;

    /**
     * 游戏是否投放
     */
    private Boolean isPut;

    /**
     * 游戏标签
     */
    private String tags;

    /**
     * 上线状态 1 : 未接入, 2 : 接入中, 3 : 上线, 4 : 下线
     */
    private Integer status;

    /**
     * 分成比例
     */
    private Double shareScale;

    /**
     * 父游戏id
     */
    private Long parentId;

    /**
     * 关联H5游戏id
     */
    private Long h5GameId;

    /**
     * H5游戏相关配置
     */
    private String h5GameConfig;

    /**
     * 导量游戏id
     */
    private Long guideGameId;

    /**
     * 游戏备注
     */
    private String remark;

    /**
     * 1 删除  0 正常
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
