package com.zanxiang.game.module.manage.pojo.params;

import com.zanxiang.game.module.base.pojo.enums.GameAuthEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-08-16
 * @description : 游戏授权添加
 */
@Data
public class GameAuthAddParam {

    /**
     * 权限类型
     */
    @NotNull(message = "权限类型不可为空")
    @ApiModelProperty(notes = "权限类型, 调接口, 获取权限类型枚举")
    private GameAuthEnum gameAuthEnum;

    /**
     * 用户id列表
     */
    @NotNull(message = "用户id列表不可为空")
    @ApiModelProperty(notes = "用户id列表, 调接口, 从接口中给的人中选择")
    private List<Long> userIdList;

    /**
     * 游戏id列表
     */
    @NotNull(message = "游戏id列表不可为空")
    @ApiModelProperty(notes = "游戏id列表, 所有游戏下拉选择")
    private List<Long> gameIdList;
}
