package com.zanxiang.game.module.manage.pojo.vo;

import com.zanxiang.game.module.base.pojo.enums.GameAuthEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-08-16
 * @description : 游戏授权
 */
@Data
public class GameAuthVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 用户id
     */
    @ApiModelProperty(notes = "用户id")
    private Long userId;

    /**
     * 用户名称
     */
    @ApiModelProperty(notes = "用户名称")
    private String userName;

    /**
     * 权限类型
     */
    @ApiModelProperty(notes = "权限类型")
    private GameAuthEnum authType;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;
}
